Subject: Re: bug#19155: viewer for dvi output on mac os x

From: Arash Esbati <[email-masked]>
Date: Fri, 22 Mar 2024 21:40:39 +0100

Arash Esbati <[email-masked]> writes:

> jfbu <[email-masked]> writes:
>
>> Perhaps I missed something obvious, but anyway, some
>> years back I had to deal with this issue, and I describe
>> here how I went about it:
>>
>> I defined a "xdvi" entry in TeX-view-program-list,
>> which is the same as the one I found destined
>> to Linux systems in TeX-view-program-list-builtin,
>> with the sole difference of having replaced
>>
>> "%(o?)xdvi"
>>
>> with
>>
>> "open -a XQuartz && %(o?)xdvi"
>>
>> I then customized TeX-view-program-selection
>> to let it map output-dvi not to "open" but to this "xdvi" viewer.
>>
>> I don't know how people go about it, but I
>> am curious why I had to do these things,
>> and why this is not the default in AUCTeX, on mac os x.
>>
>> (I hope only naivety and not arrogance will be seen
>> in my belief that my private customizations should
>> be made world-wide default ;-) the point of my message
>> is to ask if someone has a better way to go about this)
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Thanks for the suggestion.  Do you think it is still relevant?  My
> concern is that on macOS, you have install XQuartz first before you can
> run xdvi, and I'm not sure how many people know and do this.  I suggest
> to put this in the FAQ.  WDYT?

I had a look and it seems documented that one needs XQuartz in order to
run xdvi on macOS[1].  So people know what they're doing in this case,
and adding this addition to AUCTeX shouldn't be a big deal.

So this report is a "wontfix" and therefore I'm closing it.

Best, Arash

Footnotes:
[1]  https://tug.org/mactex/mactex-download.html